RecipientId (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Class RecipientId

- java.lang.Object
- - org.bouncycastle.cms.RecipientId

- All Implemented Interfaces:
    java.lang.Cloneable, org.bouncycastle.util.Selector
  Direct Known Subclasses:
    KEKRecipientId, KeyAgreeRecipientId, KeyTransRecipientId, PasswordRecipientId

      public abstract class RecipientId
      extends java.lang.Object
      implements org.bouncycastle.util.Selector

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `kek`
    `static int` | `keyAgree`
    `static int` | `keyTrans`
    `static int` | `password`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RecipientId(int type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Object` | `clone()`
    `int` | `getType()` Return the type code for this recipient ID.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.util.Selector

      `match`

- - ### Field Detail

    - #### keyTrans

          public static final int keyTrans

      See Also:
        Constant Field Values

    - #### kek

          public static final int kek

      See Also:
        Constant Field Values

    - #### keyAgree

          public static final int keyAgree

      See Also:
        Constant Field Values

    - #### password

          public static final int password

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RecipientId

          protected RecipientId(int type)

  - ### Method Detail

    - #### getType

          public int getType()

      Return the type code for this recipient ID.
      Returns:
        one of keyTrans, kek, keyAgree, password

    - #### clone

          public abstract java.lang.Object clone()

      Specified by:
        `clone` in interface `org.bouncycastle.util.Selector`
      Overrides:
        `clone` in class `java.lang.Object`